<?php
/***************************************************************************
 *                       Link Exchange Mod for phpBB2 ver 2.0.4
 *                            -------------------
 *                             27 August 2005
 *                            -------------------
 *   begin                : 19 June 2004
 *   copyright            : (C) 2004-2005 George Belton
 *   email                : george@georgebelton.com
 *   $Id: links.php
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
 
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$start = ( isset($HTTP_GET_VARS['start']) ) ? $HTTP_GET_VARS['start'] : 0; 

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_link_exchange.' . $phpEx);

$sitename = $board_config['sitename'];
$page_title = '' . $sitename . ' Link Exchange';

//
// Check Mode
//
if ( isset($HTTP_POST_VARS['link_out']) || isset($HTTP_GET_VARS['link_out']) )
{
	$link_id = ( isset($HTTP_POST_VARS['link_out']) ) ? intval($HTTP_POST_VARS['link_out']) : intval($HTTP_GET_VARS['link_out']);
}
if ( isset($link_id) )
{	
	// Grab The Link Data
	$sql = "SELECT * FROM " . LINK_EXCHANGE_TABLE . "
		WHERE link_id = $link_id";
	if(!$result = $db->sql_query($sql)){message_die(CRITICAL_ERROR, "Could not query link exchange information", "", __LINE__, __FILE__, $sql);}	
	$link_data = $db->sql_fetchrow($result);
	$link_url = $link_data['link_url'];
	$link_out_count = $link_data['link_out'];
	$link_out_count = $link_out_count + '1';

	// Update The Counter
	$sql = "UPDATE " . LINK_EXCHANGE_TABLE . "
		SET link_out = $link_out_count
		WHERE link_id = $link_id";	
	if(!$result = $db->sql_query($sql)){message_die(CRITICAL_ERROR, "Could not update link out count information", "", __LINE__, __FILE__, $sql);}		

	$template->set_filenames(array( 
		  'body' => 'link_exchange_out.tpl')
		  ); 
	$template->assign_vars(array( 
		'LINK_URL' => $link_url,
		'LINK_MESSAGE' => sprintf($lang['Link_out_message'],$link_url))
		);
	$template->pparse('body'); 
}	
else
{
	
// fetch pagination from database
$sql = "SELECT config_value
	FROM " . LINK_EXCHANGE_CONFIG_TABLE . " 
	WHERE config_name = 'config_pagination'";
	if ( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, 'Could not query information', '', __LINE__, __FILE__, $sql);
	}		
	while( $row[$i] = $db->sql_fetchrow($result) )
	{
	$links_per_page = $row[$i]['config_value'];
	}

$template->set_filenames(array( 
	"body" => "link_exchange.tpl") 
	); 
// Fetch all active link exchanges from database
$sql = "SELECT * FROM " . LINK_EXCHANGE_TABLE . "
	WHERE link_active != '0'
	ORDER BY link_id ASC LIMIT $start,  $links_per_page";
	if(!$result = $db->sql_query($sql))
		{
			message_die(CRITICAL_ERROR, "Could not query link exchange information", "", __LINE__, __FILE__, $sql);
		}

$link_count = $db->sql_numrows($result);
$link_data = $db->sql_fetchrowset($result); 

for ($i = 0; $i < $link_count; $i++) 
	{ 
		$link_url[$i] = $phpbb_root_path . 'links.' . $phpEx;
		$link_id[$i] = $link_data[$i]['link_id'];
		$link_url[$i] = $link_url[$i] . '?link_out=' . $link_id[$i];
	
		$template->assign_block_vars("link_exch", array(    
		"LINKNAME" => $link_data[$i]['link_website'], 
		"LINKDESC" => $link_data[$i]['link_desc'], 
		"LINKIMG" => $link_data[$i]['link_img'],
		"LINKURL" => $link_url[$i],
		"LINKOUT" => $link_data[$i]['link_out'])
		);
		$link_img[$i] = $link_data[$i]['link_img'];
		if( (0 != strpos($link_img[$i], '.swf')) || (0 != strpos($link_img[$i], '.SWF')) )	
		{ 
		$template->assign_block_vars('link_exch.switch_flash', array(
		"LINKDESC" => $link_data[$i]['link_desc'], 
		"LINKIMG" => $link_data[$i]['link_img'],			
		)); 
		}	
		else 
		{ 
		$template->assign_block_vars('link_exch.switch_not_flash', array(
		"LINKDESC" => $link_data[$i]['link_desc'], 
		"LINKIMG" => $link_data[$i]['link_img'],		
		)); 
		}			
	}	
	
$sql = "SELECT count(*) AS total 
   FROM " . LINK_EXCHANGE_TABLE . " 
   WHERE link_active != '0'"; 
	if ( !($result = $db->sql_query($sql)) ) 
	{ 
	   	message_die(GENERAL_ERROR, 'Error getting total links', '', __LINE__, __FILE__, $sql); 
	} 
   	if ( $total = $db->sql_fetchrow($result) ) 
	{ 
   	   	$total_links = $total['total'];          
	} 
		$template->assign_vars(array(
		"LINK_EXCHANGE" => $page_title,
		"LINK_EXCHANGE_SUBMIT" => $lang['Link_exchange_submit_link'],
		"U_LINK_EXCHANGE_SUBMIT"  => append_sid('link_submission.'.$phpEx),
		"PAGINATION" => generate_pagination("links.$phpEx?order=$sort_order", $total_links, $links_per_page, $start),
		"PAGE_NUMBER" => sprintf($lang['Page_of'], ( floor( $start / $links_per_page ) + 1 ), ceil( $total_links / $links_per_page )),	
		"L_GOTO_PAGE" => $lang['Goto_page'])	
		);

//
// Start output of page
//
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->pparse("body");

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
}
?>
