<?php
/***************************************************************************
 *                        link_exchange_db_install.php
 *                            -------------------
 *                             24 September 2005
 *                            -------------------
 *   begin                : 19 June 2004
 *   copyright            : (C) 2004-2005 George Belton
 *   email                : george@georgebelton.com
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//


if( !$userdata['session_logged_in'] )
{
	$header_location = ( @preg_match('/Microsoft|WebSTAR|Xitami/', getenv('SERVER_SOFTWARE')) ) ? 'Refresh: 0; URL=' : 'Location: ';
	header($header_location . append_sid("login.$phpEx?redirect=link_exchange_db_install.$phpEx", true));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, 'You are not authorised to access this page');
}


$page_title = 'Updating The Link Exchange Database';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
echo '<tr><th>Updating The Link Exchange Database</th></tr><tr><td><span class="genmed"><ul type="circle">';


$sql = array();
$sql[] = "CREATE TABLE `" . $table_prefix . "linkexchange_config` (
`config_name` varchar( 255 ) NOT NULL default '',
`config_value` varchar( 255 ) NOT NULL default ''
) TYPE = MYISAM";
$sql[] = "# MySQL returned an empty result set (i.e. zero rows).
INSERT INTO `" . $table_prefix . "linkexchange_config` 
VALUES (
'config_pagination', '10'
)";
$sql[] = "# Affected rows:1
INSERT INTO `" . $table_prefix . "linkexchange_config` 
VALUES (
'config_banner', 'http://'
)";
$sql[] = "# Affected rows:1
INSERT INTO `" . $table_prefix . "linkexchange_config` 
VALUES (
'config_url', 'http://'
)";
$sql[] = "# Affected rows:1
INSERT INTO `" . $table_prefix . "linkexchange_config` 
VALUES (
'config_desc', 'Enter your description'
)";
$sql[] = "CREATE TABLE `" . $table_prefix . "linkexchange` (
  `link_id` smallint(8) unsigned NOT NULL default '0',
  `link_name` varchar(255) NOT NULL default '',
  `link_email` varchar(255) NOT NULL default '',  
  `link_website` varchar(255) NOT NULL default '',
  `link_img` varchar(255) NOT NULL default '',    
  `link_desc` text NOT NULL,
  `link_url` varchar(255) NOT NULL default '',
  `link_active` tinyint(3) unsigned NOT NULL default '1',
  `link_out` int(11) NOT NULL default '0',
  PRIMARY KEY  (`link_id`)
) TYPE=MyISAM";
$sql[] = "# Affected rows:1
INSERT INTO `" . $table_prefix . "linkexchange` 
VALUES (
'0', 'Default Exchange Placeholder - Do Not Activate', '', '', '', 'Default Exchange Placeholder - Do Not Activate', '', '0', '0' 
)";
for( $i = 0; $i < count($sql); $i++ )
{
	if( !$result = $db->sql_query ($sql[$i]) )
	{
		$error = $db->sql_error();

		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#FF0000"><b>Error:</b></font> ' . $error['message'] . '</li><br />';
	}
	else
	{
		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#00AA00"><b>Successfull</b></font></li><br />';
	}
}


echo '</ul></span></td></tr><tr><td class="catBottom" height="28">&nbsp;</td></tr>';

echo '<tr><th>End</th></tr><tr><td><span class="genmed">Update to  is now finished. Please be sure to delete this file now.<br />If you have run into any errors, please email <a href="mailto:george@georgebelton.com">me</a> and ask someone for help.</span></td></tr>';
echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">Be sure to delete this file!</a></span></td></table>';

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
